Bug 764446 - (GLUSTER-2714) implement cli log level command
implement cli log level command
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Venky Shankar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-11 13:19 EDT by Venky Shankar
Modified: 2015-12-01 11:45 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa11
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Venky Shankar 2011-04-11 13:19:21 EDT

    
Comment 1 Anand Avati 2011-05-20 11:01:47 EDT
PATCH: http://patches.gluster.com/patch/7038 in master (cli log level command and per translator log level)
Comment 2 Vijaykumar 2011-09-26 05:01:59 EDT
Usage: volume log level <VOLNAME> <XLATOR[*]> <LOGLEVEL>
- this is for the brick xlator log level 

ex- root@vostro:~/gtar/glusterfs-3.3.0qa11# gluster volume log level doa io* DEBUG
log level set: successful
root@vostro:~/gtar/glusterfs-3.3.0qa11# gluster volume log level doa access* debug
log level set: successful
root@vostro:~/gtar/glusterfs-3.3.0qa11# gluster volume log level doa posix* debug
log level set: successful
root@vostro:~/gtar/glusterfs-3.3.0qa11# gluster volume log level doa access* debug
log level set: successful
root@vostro:~/gtar/glusterfs-3.3.0qa11# gluster volume log level doa posix* debug
log level set: successful
root@vostro:~/gtar/glusterfs-3.3.0qa11# gluster volume log level doa access* DEBUG
log level set: successful
root@vostro:~/gtar/glusterfs-3.3.0qa11# gluster volume log level doa access* DEBUdf
Invalid log level [DEBUdf] specified
Valid values for loglevel: (DEBUG|WARNING|ERROR|CRITICAL|NONE|TRACE)
root@vostro:~/gtar/glusterfs-3.3.0qa11# gluster volume log level doa lock* trace
log level set: successful


- verified on 3.3.0qa11

Note You need to log in before you can comment on or make changes to this bug.